/***************************************************************************************************
*  Copyright (C) Yokogawa Electric Corporation 2003,2004  All Rights Reserved.                     *
*
*  $Workfile:   YEC_AXF0101PA.ddl  $
*    $Author:   axf_leader  $
*  $Revision:   1.0  $
*      $Date:   2007/10/17 10:28:42  $
*                                                                                                  *
****************************************************************************************************
*  PROJECT_NAME        AXF Profibus PA
*
*  FIRST_AUTHOR        Daisuke Harigane
*
*  FILE_DESCRIPTION    AXF (Profibus PA) DD sorce file for DTM and PDM
*
*  FUNCTIONAL_MODULE_DESCRIPTION
*    This file used in order to define PDM and DTM common Patameter.
*
*
*  RELATED_DOCUMENTS
*    Document No.		Name		Title
*---------------------------------------------------------------------------------------------------
*    STR-PBAXFPA-B***		
*    STR-PBAXFPA-B***		
*=================================================================================================*/


#ifdef _PDM_
	MANUFACTURER		55,
	DEVICE_TYPE			0x4590,
	DEVICE_REVISION 	1,
	DD_REVISION			1
#else

#pragma CW DO_SDK_ANALYSIS 1

	MANUFACTURER		YOKOGAWA,
	DEVICE_TYPE			_AXFA14_PA,
	DEVICE_REVISION 	1,
	DD_REVISION			1

IMPORT _CWIMP _COMM_MENU, DEVICE_REVISION 1, DD_REVISION 1
{
	EVERYTHING;
    REDEFINITIONS 
    {
         DELETE VARIABLE phys_tag_desc;
    }
}

#endif


#include "YEC_AXF0101PA.h"
#include "SIPAST_Macros_300.inc"

#ifdef _PDM_

	#include "YEC_AXF0101PA.inc"

#else

	#define	ID_FC_ERROR							3000
	#define	__DDC__phys_device_man_id_VALUE		55
	#define	__DDC__phys_device_id_VALUE			{ 0x4590, "ADMAG AXF" }
/*	#define	__DDC__software_rev_VALUE			{ 0, "R1.01" }*/

	#include "__DDC__ident_check.ddl"
	#include "DTMStudio_dummy.inc"
	#include "SIPAST_Macros_300.inc"
	
	#include "AXFPA_MENU.inc"

#endif



/*******************************************************************************/
/*****	COMMAND for AXF TB *****************************************************/
/*******************************************************************************/

#ifdef _PDM_
/* TB SAMPLING_FREQ */
// --- Index 41: sample_rate
COMMAND read_trans1_sample_rate
{
	BLOCK transducer_block_1;
	INDEX 41;
	OPERATION READ;
	TRANSACTION
	{
		REQUEST
		{
		}
		REPLY
		{
			trans1_sample_rate,
			trans1_sample_rate_status_quality	<0xFC>,
			trans1_sample_rate_status_limit		<0x03>
		}
	}
}
#endif

/* Slot5 Index69 Filter Time */
COMMAND read_trans1_volume_flow_ftime
{
	BLOCK transducer_block_1;
	INDEX 53;
	OPERATION READ;
	TRANSACTION
	{
		REQUEST
		{
		}
		REPLY
		{
			trans1_volume_flow_ftime
		}
	}
}


COMMAND write_trans1_volume_flow_ftime
{
	BLOCK transducer_block_1;
	INDEX 53;
	OPERATION WRITE;
	TRANSACTION
	{
		REQUEST
		{
			trans1_volume_flow_ftime
		}
		REPLY
		{
		}
	}
}

/* Slot5 Index70 Dual Frequency Mode */
COMMAND read_trans1_dual_frequency_mode
{
	BLOCK transducer_block_1;
	INDEX 54;
	OPERATION READ;
	TRANSACTION
	{
		REQUEST
		{
		}
		REPLY
		{
			trans1_dual_frequency_mode
		}
	}
}


COMMAND write_trans1_dual_frequency_mode
{
	BLOCK transducer_block_1;
	INDEX 54;
	OPERATION WRITE;
	TRANSACTION
	{
		REQUEST
		{
			trans1_dual_frequency_mode
		}
		REPLY
		{
		}
	}
}

/* Slot5 Index71 Low MF */
COMMAND read_trans1_low_mf
{
	BLOCK transducer_block_1;
	INDEX 55;
	OPERATION READ;
	TRANSACTION
	{
		REQUEST
		{
		}
		REPLY
		{
			trans1_low_mf
		}
	}
}


COMMAND write_trans1_low_mf
{
	BLOCK transducer_block_1;
	INDEX 55;
	OPERATION WRITE;
	TRANSACTION
	{
		REQUEST
		{
			trans1_low_mf
		}
		REPLY
		{
		}
	}
}

/* Slot5 Index72 High MF */
COMMAND read_trans1_high_mf
{
	BLOCK transducer_block_1;
	INDEX 56;
	OPERATION READ;
	TRANSACTION
	{
		REQUEST
		{
		}
		REPLY
		{
			trans1_high_mf
		}
	}
}


COMMAND write_trans1_high_mf
{
	BLOCK transducer_block_1;
	INDEX 56;
	OPERATION WRITE;
	TRANSACTION
	{
		REQUEST
		{
			trans1_high_mf
		}
		REPLY
		{
		}
	}
}

/* Slot5 Index73 Low MF(EDF) */
COMMAND read_trans1_low_mf_edf
{
	BLOCK transducer_block_1;
	INDEX 57;
	OPERATION READ;
	TRANSACTION
	{
		REQUEST
		{
		}
		REPLY
		{
			trans1_low_mf_edf
		}
	}
}


COMMAND write_trans1_low_mf_edf
{
	BLOCK transducer_block_1;
	INDEX 57;
	OPERATION WRITE;
	TRANSACTION
	{
		REQUEST
		{
			trans1_low_mf_edf
		}
		REPLY
		{
		}
	}
}

/* Slot5 Index74 High MF(EDF) */
COMMAND read_trans1_high_mf_edf
{
	BLOCK transducer_block_1;
	INDEX 58;
	OPERATION READ;
	TRANSACTION
	{
		REQUEST
		{
		}
		REPLY
		{
			trans1_high_mf_edf
		}
	}
}


COMMAND write_trans1_high_mf_edf
{
	BLOCK transducer_block_1;
	INDEX 58;
	OPERATION WRITE;
	TRANSACTION
	{
		REQUEST
		{
			trans1_high_mf_edf
		}
		REPLY
		{
		}
	}
}

/* Slot5 Index75 Select Flow Tube */
COMMAND read_trans1_select_flow_tube
{
	BLOCK transducer_block_1;
	INDEX 59;
	OPERATION READ;
	TRANSACTION
	{
		REQUEST
		{
		}
		REPLY
		{
			trans1_select_flow_tube
		}
	}
}


COMMAND write_trans1_select_flow_tube
{
	BLOCK transducer_block_1;
	INDEX 59;
	OPERATION WRITE;
	TRANSACTION
	{
		REQUEST
		{
			trans1_select_flow_tube
		}
		REPLY
		{
		}
	}
}

/* Slot5 Index76 Density Unit */
COMMAND read_trans1_density_unit
{
	BLOCK transducer_block_1;
	INDEX 60;
	OPERATION READ;
	TRANSACTION
	{
		REQUEST
		{
		}
		REPLY
		{
			trans1_density_unit
		}
	}
}


COMMAND write_trans1_density_unit
{
	BLOCK transducer_block_1;
	INDEX 60;
	OPERATION WRITE;
	TRANSACTION
	{
		REQUEST
		{
			trans1_density_unit
		}
		REPLY
		{
		}
	}
}

/* Slot5 Index77 Mass Flow Density */
COMMAND read_trans1_mass_flow_density
{
	BLOCK transducer_block_1;
	INDEX 61;
	OPERATION READ;
	TRANSACTION
	{
		REQUEST
		{
		}
		REPLY
		{
			trans1_mass_flow_density
		}
	}
}


COMMAND write_trans1_mass_flow_density
{
	BLOCK transducer_block_1;
	INDEX 61;
	OPERATION WRITE;
	TRANSACTION
	{
		REQUEST
		{
			trans1_mass_flow_density
		}
		REPLY
		{
		}
	}
}

/* Slot5 Index78 LIMSW 1 VALUE D */
COMMAND read_trans1_limsw_1_value_d
{
	BLOCK transducer_block_1;
	INDEX 62;
	OPERATION READ;
	TRANSACTION
	{
		REQUEST
		{
		}
		REPLY
		{
			trans1_limsw_1_value_d_value,
			trans1_limsw_1_value_d_status_quality	<0xFC>,
			trans1_limsw_1_value_d_status_limit		<0x03>
		}
	}
}

/* Slot5 Index79 LIMSW 1 Target */
COMMAND read_trans1_limsw_1_target
{
	BLOCK transducer_block_1;
	INDEX 63;
	OPERATION READ;
	TRANSACTION
	{
		REQUEST
		{
		}
		REPLY
		{
			trans1_limsw_1_target
		}
	}
}


COMMAND write_trans1_limsw_1_target
{
	BLOCK transducer_block_1;
	INDEX 63;
	OPERATION WRITE;
	TRANSACTION
	{
		REQUEST
		{
			trans1_limsw_1_target
		}
		REPLY
		{
		}
	}
}


/* Slot5 Index80 LIMSW 1 Setpoint */
COMMAND read_trans1_limsw_1_setpoint
{
	BLOCK transducer_block_1;
	INDEX 64;
	OPERATION READ;
	TRANSACTION
	{
		REQUEST
		{
		}
		REPLY
		{
			trans1_limsw_1_setpoint
		}
	}
}


COMMAND write_trans1_limsw_1_setpoint
{
	BLOCK transducer_block_1;
	INDEX 64;
	OPERATION WRITE;
	TRANSACTION
	{
		REQUEST
		{
			trans1_limsw_1_setpoint
		}
		REPLY
		{
		}
	}
}


/* Slot5 Index81 LIMSW 1 Direction */
COMMAND read_trans1_limsw_1_direction
{
	BLOCK transducer_block_1;
	INDEX 65;
	OPERATION READ;
	TRANSACTION
	{
		REQUEST
		{
		}
		REPLY
		{
			trans1_limsw_1_direction
		}
	}
}


COMMAND write_trans1_limsw_1_direction
{
	BLOCK transducer_block_1;
	INDEX 65;
	OPERATION WRITE;
	TRANSACTION
	{
		REQUEST
		{
			trans1_limsw_1_direction
		}
		REPLY
		{
		}
	}
}


/* Slot5 Index82 LIMSW 1 Hysteresis */
COMMAND read_trans1_limsw_1_hysteresis
{
	BLOCK transducer_block_1;
	INDEX 66;
	OPERATION READ;
	TRANSACTION
	{
		REQUEST
		{
		}
		REPLY
		{
			trans1_limsw_1_hysteresis
		}
	}
}


COMMAND write_trans1_limsw_1_hysteresis
{
	BLOCK transducer_block_1;
	INDEX 66;
	OPERATION WRITE;
	TRANSACTION
	{
		REQUEST
		{
			trans1_limsw_1_hysteresis
		}
		REPLY
		{
		}
	}
}


/* Slot5 Index83 LIMSW 1 Unit */
COMMAND read_trans1_limsw_1_unit
{
	BLOCK transducer_block_1;
	INDEX 67;
	OPERATION READ;
	TRANSACTION
	{
		REQUEST
		{
		}
		REPLY
		{
			trans1_limsw_1_unit
		}
	}
}


COMMAND write_trans1_limsw_1_unit
{
	BLOCK transducer_block_1;
	INDEX 67;
	OPERATION WRITE;
	TRANSACTION
	{
		REQUEST
		{
			trans1_limsw_1_unit
		}
		REPLY
		{
		}
	}
}


/* Slot5 Index84 LIMSW 2 VALUE D */
COMMAND read_trans1_limsw_2_value_d
{
	BLOCK transducer_block_1;
	INDEX 68;
	OPERATION READ;
	TRANSACTION
	{
		REQUEST
		{
		}
		REPLY
		{
			trans1_limsw_2_value_d_value,
			trans1_limsw_2_value_d_status_quality	<0xFC>,
			trans1_limsw_2_value_d_status_limit		<0x03>
		}
	}
}



/* Slot5 Index85 LIMSW 2 Target */
COMMAND read_trans1_limsw_2_target
{
	BLOCK transducer_block_1;
	INDEX 69;
	OPERATION READ;
	TRANSACTION
	{
		REQUEST
		{
		}
		REPLY
		{
			trans1_limsw_2_target
		}
	}
}

COMMAND write_trans1_limsw_2_target
{
	BLOCK transducer_block_1;
	INDEX 69;
	OPERATION WRITE;
	TRANSACTION
	{
		REQUEST
		{
			trans1_limsw_2_target
		}
		REPLY
		{
		}
	}
}


/* Slot5 Index86 LIMSW 2 Setpoint */
COMMAND read_trans1_limsw_2_setpoint
{
	BLOCK transducer_block_1;
	INDEX 70;
	OPERATION READ;
	TRANSACTION
	{
		REQUEST
		{
		}
		REPLY
		{
			trans1_limsw_2_setpoint
		}
	}
}

COMMAND write_trans1_limsw_2_setpoint
{
	BLOCK transducer_block_1;
	INDEX 70;
	OPERATION WRITE;
	TRANSACTION
	{
		REQUEST
		{
			trans1_limsw_2_setpoint
		}
		REPLY
		{
		}
	}
}


/* Slot5 Index87 LIMSW 2 Direction */
COMMAND read_trans1_limsw_2_direction
{
	BLOCK transducer_block_1;
	INDEX 71;
	OPERATION READ;
	TRANSACTION
	{
		REQUEST
		{
		}
		REPLY
		{
			trans1_limsw_2_direction
		}
	}
}

COMMAND write_trans1_limsw_2_direction
{
	BLOCK transducer_block_1;
	INDEX 71;
	OPERATION WRITE;
	TRANSACTION
	{
		REQUEST
		{
			trans1_limsw_2_direction
		}
		REPLY
		{
		}
	}
}


/* Slot5 Index88 LIMSW 2 Hysteresis */
COMMAND read_trans1_limsw_2_hysteresis
{
	BLOCK transducer_block_1;
	INDEX 72;
	OPERATION READ;
	TRANSACTION
	{
		REQUEST
		{
		}
		REPLY
		{
			trans1_limsw_2_hysteresis
		}
	}
}

COMMAND write_trans1_limsw_2_hysteresis
{
	BLOCK transducer_block_1;
	INDEX 72;
	OPERATION WRITE;
	TRANSACTION
	{
		REQUEST
		{
			trans1_limsw_2_hysteresis
		}
		REPLY
		{
		}
	}
}


/* Slot5 Index89 LIMSW 2 Unit */
COMMAND read_trans1_limsw_2_unit
{
	BLOCK transducer_block_1;
	INDEX 73;
	OPERATION READ;
	TRANSACTION
	{
		REQUEST
		{
		}
		REPLY
		{
			trans1_limsw_2_unit
		}
	}
}

COMMAND write_trans1_limsw_2_unit
{
	BLOCK transducer_block_1;
	INDEX 73;
	OPERATION WRITE;
	TRANSACTION
	{
		REQUEST
		{
			trans1_limsw_2_unit
		}
		REPLY
		{
		}
	}
}


/* Slot5 Index90 Seitch 1 VALUE D */
COMMAND read_trans1_switch_1_value_d
{
	BLOCK transducer_block_1;
	INDEX 74;
	OPERATION READ;
	TRANSACTION
	{
		REQUEST
		{
		}
		REPLY
		{
			trans1_switch_1_value_d_value,
			trans1_switch_1_value_d_status_quality		<0xFC>,
			trans1_switch_1_value_d_status_limit		<0x03>
		}
	}
}


/* Slot5 Index91 Switch 1 Target */
COMMAND read_trans1_switch_1_target
{
	BLOCK transducer_block_1;
	INDEX 75;
	OPERATION READ;
	TRANSACTION
	{
		REQUEST
		{
		}
		REPLY
		{
			trans1_switch_1_target
		}
	}
}

COMMAND write_trans1_switch_1_target
{
	BLOCK transducer_block_1;
	INDEX 75;
	OPERATION WRITE;
	TRANSACTION
	{
		REQUEST
		{
			trans1_switch_1_target
		}
		REPLY
		{
		}
	}
}


/* Slot5 Index92 Seitch 2 VALUE D */
COMMAND read_trans1_switch_2_value_d
{
	BLOCK transducer_block_1;
	INDEX 76;
	OPERATION READ;
	TRANSACTION
	{
		REQUEST
		{
		}
		REPLY
		{
			trans1_switch_2_value_d_value,
			trans1_switch_2_value_d_status_quality		<0xFC>,
			trans1_switch_2_value_d_status_limit		<0x03>
		}
	}
}


/* Slot5 Index93 Switch 2 Target */
COMMAND read_trans1_switch_2_target
{
	BLOCK transducer_block_1;
	INDEX 77;
	OPERATION READ;
	TRANSACTION
	{
		REQUEST
		{
		}
		REPLY
		{
			trans1_switch_2_target
		}
	}
}

COMMAND write_trans1_switch_2_target
{
	BLOCK transducer_block_1;
	INDEX 77;
	OPERATION WRITE;
	TRANSACTION
	{
		REQUEST
		{
			trans1_switch_2_target
		}
		REPLY
		{
		}
	}
}


/* Slot5 Index94 Signal Lock */
COMMAND read_trans1_signal_lock
{
	BLOCK transducer_block_1;
	INDEX 78;
	OPERATION READ;
	TRANSACTION
	{
		REQUEST
		{
		}
		REPLY
		{
			trans1_signal_lock
		}
	}
}

COMMAND write_trans1_signal_lock
{
	BLOCK transducer_block_1;
	INDEX 78;
	OPERATION WRITE;
	TRANSACTION
	{
		REQUEST
		{
			trans1_signal_lock
		}
		REPLY
		{
		}
	}
}


/* Slot5 Index95 Alarm Perform */
COMMAND read_trans1_alarm_perform
{
	BLOCK transducer_block_1;
	INDEX 79;
	OPERATION READ;
	TRANSACTION
	{
		REQUEST
		{
		}
		REPLY
		{
//			trans1_alarm_perform

			trans1_alarm_perform_2,
			trans1_alarm_perform_1
		}
	}
}

COMMAND write_trans1_alarm_perform
{
	BLOCK transducer_block_1;
	INDEX 79;
	OPERATION WRITE;
	TRANSACTION
	{
		REQUEST
		{
//			trans1_alarm_perform
			
			trans1_alarm_perform_2,
			trans1_alarm_perform_1
		}
		REPLY
		{
		}
	}
}


/* Slot5 Index96 Simulate Mode */
COMMAND read_trans1_simulate_mode
{
	BLOCK transducer_block_1;
	INDEX 80;
	OPERATION READ;
	TRANSACTION
	{
		REQUEST
		{
		}
		REPLY
		{
			trans1_simulate_mode
		}
	}
}

COMMAND write_trans1_simulate_mode
{
	BLOCK transducer_block_1;
	INDEX 80;
	OPERATION WRITE;
	TRANSACTION
	{
		REQUEST
		{
			trans1_simulate_mode
		}
		REPLY
		{
		}
	}
}


/* Slot5 Index97 Simulate Type */
COMMAND read_trans1_simulate_type
{
	BLOCK transducer_block_1;
	INDEX 81;
	OPERATION READ;
	TRANSACTION
	{
		REQUEST
		{
		}
		REPLY
		{
			trans1_simulate_type
		}
	}
}

COMMAND write_trans1_simulate_type
{
	BLOCK transducer_block_1;
	INDEX 81;
	OPERATION WRITE;
	TRANSACTION
	{
		REQUEST
		{
			trans1_simulate_type
		}
		REPLY
		{
		}
	}
}


/* Slot5 Index98 Simulate Volume Flow */
COMMAND read_trans1_simulate_volume_flow
{
	BLOCK transducer_block_1;
	INDEX 82;
	OPERATION READ;
	TRANSACTION
	{
		REQUEST
		{
		}
		REPLY
		{
			trans1_simulate_volume_flow_value,
			trans1_simulate_volume_flow_status_quality	<0xFC>,
			trans1_simulate_volume_flow_status_limit	<0x03>
		}
	}
}

COMMAND write_trans1_simulate_volume_flow
{
	BLOCK transducer_block_1;
	INDEX 82;
	OPERATION WRITE;
	TRANSACTION
	{
		REQUEST
		{
			trans1_simulate_volume_flow_value,
			trans1_simulate_volume_flow_status_quality	<0xFC>,
			trans1_simulate_volume_flow_status_limit	<0x03>
		}
		REPLY
		{
		}
	}
}


/* Slot5 Index99 Simulate Up Value */
COMMAND read_trans1_simulate_up_value
{
	BLOCK transducer_block_1;
	INDEX 83;
	OPERATION READ;
	TRANSACTION
	{
		REQUEST
		{
		}
		REPLY
		{
			trans1_simulate_up_value
		}
	}
}

COMMAND write_trans1_simulate_up_value
{
	BLOCK transducer_block_1;
	INDEX 83;
	OPERATION WRITE;
	TRANSACTION
	{
		REQUEST
		{
			trans1_simulate_up_value
		}
		REPLY
		{
		}
	}
}


/* Slot5 Index100 Simulate Lo Value */
COMMAND read_trans1_simulate_lo_value
{
	BLOCK transducer_block_1;
	INDEX 84;
	OPERATION READ;
	TRANSACTION
	{
		REQUEST
		{
		}
		REPLY
		{
			trans1_simulate_lo_value
		}
	}
}

COMMAND write_trans1_simulate_lo_value
{
	BLOCK transducer_block_1;
	INDEX 84;
	OPERATION WRITE;
	TRANSACTION
	{
		REQUEST
		{
			trans1_simulate_lo_value
		}
		REPLY
		{
		}
	}
}


/* Slot5 Index101 Simulate Time */
COMMAND read_trans1_simulate_time
{
	BLOCK transducer_block_1;
	INDEX 85;
	OPERATION READ;
	TRANSACTION
	{
		REQUEST
		{
		}
		REPLY
		{
			trans1_simulate_time
		}
	}
}

COMMAND write_trans1_simulate_time
{
	BLOCK transducer_block_1;
	INDEX 85;
	OPERATION WRITE;
	TRANSACTION
	{
		REQUEST
		{
			trans1_simulate_time
		}
		REPLY
		{
		}
	}
}



/* Slot5 Index102 Oparation Time */
COMMAND read_trans1_operation_time
{
	BLOCK transducer_block_1;
	INDEX 86;
	OPERATION READ;
	TRANSACTION
	{
		REQUEST
		{
		}
		REPLY
		{
			trans1_operation_time
		}
	}
}

/* Slot5 Index103 Alarm Record 1 */
COMMAND read_trans1_alm_record_1
{
	BLOCK transducer_block_1;
	INDEX 87;
	OPERATION READ;
	TRANSACTION
	{
		REQUEST
		{
		}
		REPLY
		{
			trans1_alm_record_1
		}
	}
}


/* Slot5 Index104 Alarm Record Time 1 */
COMMAND read_trans1_alm_record_time_1
{
	BLOCK transducer_block_1;
	INDEX 88;
	OPERATION READ;
	TRANSACTION
	{
		REQUEST
		{
		}
		REPLY
		{
			trans1_alm_record_time_1
		}
	}
}


/* Slot5 Index105 Alarm Record 2 */
COMMAND read_trans1_alm_record_2
{
	BLOCK transducer_block_1;
	INDEX 89;
	OPERATION READ;
	TRANSACTION
	{
		REQUEST
		{
		}
		REPLY
		{
			trans1_alm_record_2
		}
	}
}


/* Slot5 Index106 Alarm Record Time 2 */
COMMAND read_trans1_alm_record_time_2
{
	BLOCK transducer_block_1;
	INDEX 90;
	OPERATION READ;
	TRANSACTION
	{
		REQUEST
		{
		}
		REPLY
		{
			trans1_alm_record_time_2
		}
	}
}


/* Slot5 Index107 Alarm Record 3 */
COMMAND read_trans1_alm_record_3
{
	BLOCK transducer_block_1;
	INDEX 91;
	OPERATION READ;
	TRANSACTION
	{
		REQUEST
		{
		}
		REPLY
		{
			trans1_alm_record_3
		}
	}
}


/* Slot5 Index108 Alarm Record Time 3 */
COMMAND read_trans1_alm_record_time_3
{
	BLOCK transducer_block_1;
	INDEX 92;
	OPERATION READ;
	TRANSACTION
	{
		REQUEST
		{
		}
		REPLY
		{
			trans1_alm_record_time_3
		}
	}
}


/* Slot5 Index109 Alarm Record 4 */
COMMAND read_trans1_alm_record_4
{
	BLOCK transducer_block_1;
	INDEX 93;
	OPERATION READ;
	TRANSACTION
	{
		REQUEST
		{
		}
		REPLY
		{
			trans1_alm_record_4
		}
	}
}


/* Slot5 Index110 Alarm Record Time 4 */
COMMAND read_trans1_alm_record_time_4
{
	BLOCK transducer_block_1;
	INDEX 94;
	OPERATION READ;
	TRANSACTION
	{
		REQUEST
		{
		}
		REPLY
		{
			trans1_alm_record_time_4
		}
	}
}


/* Slot5 Index111 Diplay Select1 */
COMMAND read_trans1_diplay_select1
{
	BLOCK transducer_block_1;
	INDEX 95;
	OPERATION READ;
	TRANSACTION
	{
		REQUEST
		{
		}
		REPLY
		{
			trans1_diplay_select1
		}
	}
}


COMMAND write_trans1_diplay_select1
{
	BLOCK transducer_block_1;
	INDEX 95;
	OPERATION WRITE;
	TRANSACTION
	{
		REQUEST
		{
			trans1_diplay_select1
		}
		REPLY
		{
		}
	}
}

/* Slot5 Index112 Diplay Select2 */
COMMAND read_trans1_diplay_select2
{
	BLOCK transducer_block_1;
	INDEX 96;
	OPERATION READ;
	TRANSACTION
	{
		REQUEST
		{
		}
		REPLY
		{
			trans1_diplay_select2
		}
	}
}

COMMAND write_trans1_diplay_select2
{
	BLOCK transducer_block_1;
	INDEX 96;
	OPERATION WRITE;
	TRANSACTION
	{
		REQUEST
		{
			trans1_diplay_select2
		}
		REPLY
		{
		}
	}
}

/* Slot5 Index113 Diplay Select3 */
COMMAND read_trans1_diplay_select3
{
	BLOCK transducer_block_1;
	INDEX 97;
	OPERATION READ;
	TRANSACTION
	{
		REQUEST
		{
		}
		REPLY
		{
			trans1_diplay_select3
		}
	}
}


COMMAND write_trans1_diplay_select3
{
	BLOCK transducer_block_1;
	INDEX 97;
	OPERATION WRITE;
	TRANSACTION
	{
		REQUEST
		{
			trans1_diplay_select3
		}
		REPLY
		{
		}
	}
}

/* Slot5 Index114 Diplay Cycle */
COMMAND read_trans1_diplay_cycle
{
	BLOCK transducer_block_1;
	INDEX 98;
	OPERATION READ;
	TRANSACTION
	{
		REQUEST
		{
		}
		REPLY
		{
			trans1_diplay_cycle
		}
	}
}

COMMAND write_trans1_diplay_cycle
{
	BLOCK transducer_block_1;
	INDEX 98;
	OPERATION WRITE;
	TRANSACTION
	{
		REQUEST
		{
			trans1_diplay_cycle
		}
		REPLY
		{
		}
	}
}

/* Slot5 Index115 Language */
COMMAND read_trans1_language
{
	BLOCK transducer_block_1;
	INDEX 99;
	OPERATION READ;
	TRANSACTION
	{
		REQUEST
		{
		}
		REPLY
		{
			trans1_language
		}
	}
}

COMMAND write_trans1_language
{
	BLOCK transducer_block_1;
	INDEX 99;
	OPERATION WRITE;
	TRANSACTION
	{
		REQUEST
		{
			trans1_language
		}
		REPLY
		{
		}
	}
}


/* Slot5 Index116 Rate Limit */
COMMAND read_trans1_rate_limit
{
	BLOCK transducer_block_1;
	INDEX 100;
	OPERATION READ;
	TRANSACTION
	{
		REQUEST
		{
		}
		REPLY
		{
			trans1_rate_limit
		}
	}
}

COMMAND write_trans1_rate_limit
{
	BLOCK transducer_block_1;
	INDEX 100;
	OPERATION WRITE;
	TRANSACTION
	{
		REQUEST
		{
			trans1_rate_limit
		}
		REPLY
		{
		}
	}
}

/* Slot5 Index117 Dead Time */
COMMAND read_trans1_dead_time
{
	BLOCK transducer_block_1;
	INDEX 101;
	OPERATION READ;
	TRANSACTION
	{
		REQUEST
		{
		}
		REPLY
		{
			trans1_dead_time
		}
	}
}

COMMAND write_trans1_dead_time
{
	BLOCK transducer_block_1;
	INDEX 101;
	OPERATION WRITE;
	TRANSACTION
	{
		REQUEST
		{
			trans1_dead_time
		}
		REPLY
		{
		}
	}
}


/* Slot5 Index118 Plusing Flow */
COMMAND read_trans1_pulsing_flow
{
	BLOCK transducer_block_1;
	INDEX 102;
	OPERATION READ;
	TRANSACTION
	{
		REQUEST
		{
		}
		REPLY
		{
			trans1_pulsing_flow
		}
	}
}

COMMAND write_trans1_pulsing_flow
{
	BLOCK transducer_block_1;
	INDEX 102;
	OPERATION WRITE;
	TRANSACTION
	{
		REQUEST
		{
			trans1_pulsing_flow
		}
		REPLY
		{
		}
	}
}


/* Slot5 Index119 Power Synch */
COMMAND read_trans1_power_synch
{
	BLOCK transducer_block_1;
	INDEX 103;
	OPERATION READ;
	TRANSACTION
	{
		REQUEST
		{
		}
		REPLY
		{
			trans1_power_synch
		}
	}
}

COMMAND write_trans1_power_synch
{
	BLOCK transducer_block_1;
	INDEX 103;
	OPERATION WRITE;
	TRANSACTION
	{
		REQUEST
		{
			trans1_power_synch
		}
		REPLY
		{
		}
	}
}



/* Slot5 Index120 Power Frequency */
COMMAND read_trans1_power_frequency
{
	BLOCK transducer_block_1;
	INDEX 104;
	OPERATION READ;
	TRANSACTION
	{
		REQUEST
		{
		}
		REPLY
		{
			trans1_power_frequency
		}
	}
}

COMMAND write_trans1_power_frequency
{
	BLOCK transducer_block_1;
	INDEX 104;
	OPERATION WRITE;
	TRANSACTION
	{
		REQUEST
		{
			trans1_power_frequency
		}
		REPLY
		{
		}
	}
}


/* Slot5 Index121 Software Rev No. */
COMMAND read_trans1_software_rev_no
{
	BLOCK transducer_block_1;
	INDEX 105;
	OPERATION READ;
	TRANSACTION
	{
		REQUEST
		{
		}
		REPLY
		{
			trans1_software_rev_no
		}
	}
}

/* Slot5 Index122 Adhesion Check */
COMMAND read_trans1_adhesion_check
{
	BLOCK transducer_block_1;
	INDEX 106;
	OPERATION READ;
	TRANSACTION
	{
		REQUEST
		{
		}
		REPLY
		{
			trans1_adhesion_check
		}
	}
}

COMMAND write_trans1_adhesion_check
{
	BLOCK transducer_block_1;
	INDEX 106;
	OPERATION WRITE;
	TRANSACTION
	{
		REQUEST
		{
			trans1_adhesion_check
		}
		REPLY
		{
		}
	}
}

/* Slot5 Index123 Adhesion Level 1 */
COMMAND read_trans1_adhesion_level_1
{
	BLOCK transducer_block_1;
	INDEX 107;
	OPERATION READ;
	TRANSACTION
	{
		REQUEST
		{
		}
		REPLY
		{
			trans1_adhesion_level_1
		}
	}
}

COMMAND write_trans1_adhesion_level_1
{
	BLOCK transducer_block_1;
	INDEX 107;
	OPERATION WRITE;
	TRANSACTION
	{
		REQUEST
		{
			trans1_adhesion_level_1
		}
		REPLY
		{
		}
	}
}

/* Slot5 Index124 Adhesion Level 2 */
COMMAND read_trans1_adhesion_level_2
{
	BLOCK transducer_block_1;
	INDEX 108;
	OPERATION READ;
	TRANSACTION
	{
		REQUEST
		{
		}
		REPLY
		{
			trans1_adhesion_level_2
		}
	}
}

COMMAND write_trans1_adhesion_level_2
{
	BLOCK transducer_block_1;
	INDEX 108;
	OPERATION WRITE;
	TRANSACTION
	{
		REQUEST
		{
			trans1_adhesion_level_2
		}
		REPLY
		{
		}
	}
}


/* Slot5 Index125 Adhesion Level 3 */
COMMAND read_trans1_adhesion_level_3
{
	BLOCK transducer_block_1;
	INDEX 109;
	OPERATION READ;
	TRANSACTION
	{
		REQUEST
		{
		}
		REPLY
		{
			trans1_adhesion_level_3
		}
	}
}


COMMAND write_trans1_adhesion_level_3
{
	BLOCK transducer_block_1;
	INDEX 109;
	OPERATION WRITE;
	TRANSACTION
	{
		REQUEST
		{
			trans1_adhesion_level_3
		}
		REPLY
		{
		}
	}
}

/* Slot5 Index126 Adhesion Level 4 */
COMMAND read_trans1_adhesion_level_4
{
	BLOCK transducer_block_1;
	INDEX 110;
	OPERATION READ;
	TRANSACTION
	{
		REQUEST
		{
		}
		REPLY
		{
			trans1_adhesion_level_4
		}
	}
}


COMMAND write_trans1_adhesion_level_4
{
	BLOCK transducer_block_1;
	INDEX 110;
	OPERATION WRITE;
	TRANSACTION
	{
		REQUEST
		{
			trans1_adhesion_level_4
		}
		REPLY
		{
		}
	}
}

/* Slot5 Index127 Measure Value*/
COMMAND read_trans1_adh_measure_value
{
	BLOCK transducer_block_1;
	INDEX 111;
	OPERATION READ;
	TRANSACTION
	{
		REQUEST
		{
		}
		REPLY
		{
			trans1_adh_measure_value
		}
	}
}


/*******************************************************************************/
/*****	VALIABLE for AXF TB ****************************************************/
/*******************************************************************************/

/*Mod AXF_DP*/

//INDEX 57
VARIABLE trans1_sample_rate_status_quality
{
	/* BITMASK 0xfc */

	LABEL		[status_quality];
	HELP		[value_status_help];
	CLASS		CONTAINED & DYNAMIC;
	TYPE		ENUMERATED (1)
	{
		DEFAULT_VALUE	0;
		STATUS_OUTPUT_NO_RCAS
	}
	HANDLING	READ;
}

trans1_sample_rate_status_limit				LIKE VARIABLE	trans1_sample_rate_status_quality
{
	/* BITMASK 0x03 */
	REDEFINE LABEL		[status_limit];		
	REDEFINE TYPE		ENUMERATED (1)
	{
		STATUS_OUTPUT_LIMIT
	}
}

//INDEX 69
VARIABLE trans1_volume_flow_ftime
{
	LABEL		[filter_time];
	HELP		[filter_time_help];
	CLASS		CONTAINED;
	TYPE		FLOAT
	{   
		DEFAULT_VALUE   3.0;
//		EDIT_FORMAT		"8.6f";
//		DISPLAY_FORMAT	".6f";
		MIN_VALUE		0.1;
		MAX_VALUE		200.0;
		DISPLAY_FORMAT	"5.1f";
	}
	CONSTANT_UNIT	"s";
}

//INDEX 70
VARIABLE trans1_dual_frequency_mode
{
	LABEL       [dual_frequency_mode];
	HELP        [dual_frequency_mode_help];
	CLASS		CONTAINED;
	TYPE        ENUMERATED(1)
	{
		DEFAULT_VALUE	0;
		{0, "Standard DF"},
		{1, "Enhanced DF"}
	}
	HANDLING	READ & WRITE;
}

//INDEX 71
VARIABLE trans1_low_mf
{
	LABEL		[low_mf];
	HELP		[low_mf_help];
	CLASS		CONTAINED;
	TYPE		FLOAT
	{   
		DEFAULT_VALUE   1.00;
		MIN_VALUE		0.01;
		MAX_VALUE		3.00;
//		EDIT_FORMAT		"8.6f";
//		DISPLAY_FORMAT	".6f";
		DISPLAY_FORMAT	"6.4f";
	}
	HANDLING	READ & WRITE;
}

//INDEX 72
VARIABLE trans1_high_mf
{
	LABEL		[high_mf];
	HELP		[high_mf_help];
	CLASS		CONTAINED;
	TYPE		FLOAT
	{   
		DEFAULT_VALUE   1.00;
		MIN_VALUE		0.01;
		MAX_VALUE		3.00;
//		EDIT_FORMAT		"8.6f";
//		DISPLAY_FORMAT	".6f";
		DISPLAY_FORMAT	"6.4f";
	}
	HANDLING	READ & WRITE;
}

//INDEX 73
VARIABLE trans1_low_mf_edf
{
	LABEL		[low_mf_edf];
	HELP		[low_mf_edf_help];
	CLASS		CONTAINED;
	TYPE		FLOAT
	{   
		DEFAULT_VALUE   1.00;
		MIN_VALUE		0.00;
		MAX_VALUE		3.00;
//		EDIT_FORMAT		"8.6f";
//		DISPLAY_FORMAT	".6f";
		DISPLAY_FORMAT	"6.4f";
	}
	HANDLING	READ & WRITE;
}

//INDEX 74
VARIABLE trans1_high_mf_edf
{
	LABEL		[high_mf_edf];
	HELP		[high_mf_edf_help];
	CLASS		CONTAINED;
	TYPE		FLOAT
	{   
		DEFAULT_VALUE   1.00;
		MIN_VALUE		0.00;
		MAX_VALUE		3.00;
//		EDIT_FORMAT		"8.6f";
//		DISPLAY_FORMAT	".6f";
		DISPLAY_FORMAT	"6.4f";
	}
	HANDLING	READ & WRITE;
}

//INDEX 75
VARIABLE trans1_select_flow_tube
{
	LABEL		[select_flow_tube];
	HELP		[select_flow_tube_help];
	CLASS		CONTAINED;
	TYPE        ENUMERATED(1)
	{
		DEFAULT_VALUE	0;
		{0, "ADMAG AXF"},
		{1, "ADMAG"},
		{2, "ADMAG AE"},
		{3, "ADMAG SE"},
		{4, "YEWMAG"},
		{5, "Calibrator"},
		{6, "Other"}
	}
	HANDLING	READ & WRITE;
}

//INDEX 76
VARIABLE trans1_density_unit
{
	LABEL       [density_unit];
	HELP        [density_unit_help];
	CLASS		CONTAINED;
	TYPE        ENUMERATED(2)
	{
		DEFAULT_VALUE	1097;
		{1097, "kg/m3"},
		{1108, "lb/gal"},
		{1107, "lb/cf"}
	}
	HANDLING	READ & WRITE;
}

//INDEX 77
VARIABLE trans1_mass_flow_density
{
	LABEL		[mass_flow_density];
	HELP		[mass_flow_density_help];
	CLASS		CONTAINED;
	TYPE		FLOAT
	{   
		DEFAULT_VALUE   0.0;
		MIN_VALUE       0.0;
		MAX_VALUE       32000.0;
//		EDIT_FORMAT		"8.6f";
//		DISPLAY_FORMAT	".6f";
		DISPLAY_FORMAT	"6g";
	}
	
	HANDLING	READ & WRITE;
}

UNIT unitrelation_trans1_density_unit
{
	trans1_density_unit:

	trans1_mass_flow_density
}

//INDEX 78
VARIABLE trans1_limsw_1_value_d_value
{
	LABEL       [value];
	HELP        [limsw_1_value_d_help];
	CLASS		CONTAINED & DYNAMIC;
	TYPE        ENUMERATED(1)
	{
		DEFAULT_VALUE	0;
		{0, "not set"},
		{1, "set"}
	}
	HANDLING	READ;
}

VARIABLE trans1_limsw_1_value_d_status_quality
{
	/* BITMASK 0xfc */

	LABEL		[status_quality];
	HELP		[limsw_1_value_d_help];
	CLASS		CONTAINED & DYNAMIC;
	TYPE		ENUMERATED (1)
	{
		DEFAULT_VALUE	0;
		STATUS_OUTPUT_NO_RCAS
	}
	HANDLING	READ;
}

trans1_limsw_1_value_d_status_limit				LIKE VARIABLE	trans1_limsw_1_value_d_status_quality
{
	/* BITMASK 0x03 */
	REDEFINE LABEL		[status_limit];		
	REDEFINE TYPE		ENUMERATED (1)
	{
		STATUS_OUTPUT_LIMIT
	}
}

//INDEX 79
VARIABLE trans1_limsw_1_target
{
	LABEL         [limsw_target];
	HELP          [limsw_1_target_help];
	CLASS         CONTAINED;
	TYPE		  ENUMERATED(1)
	{
		DEFAULT_VALUE	0;
		{0, "Volume Flow Value"}
	}
	HANDLING      READ & WRITE;
}

//INDEX 80
VARIABLE trans1_limsw_1_setpoint
{
	LABEL         [limsw_setpoint];
	HELP          [limsw_setpoint_help];
	CLASS         CONTAINED;
	TYPE		  FLOAT
	{   
		DEFAULT_VALUE   -10;
	}
	HANDLING      READ & WRITE;
}

//INDEX 81
VARIABLE trans1_limsw_1_direction
{
	LABEL         [limsw_direction];
	HELP          [limsw_direction_help];
	CLASS         CONTAINED;
	TYPE		  ENUMERATED(1)
	{
		DEFAULT_VALUE	0;
		{0, "Low Limit"},
		{1, "High Limit"}
	}
	HANDLING      READ & WRITE;
}

//INDEX 82
VARIABLE trans1_limsw_1_hysteresis
{
	LABEL         [limsw_hysteresis];
	HELP          [limsw_hysteresis_help];
	CLASS         CONTAINED;
	TYPE		  FLOAT
	{   
		DEFAULT_VALUE   0.0;
	}
	HANDLING      READ & WRITE;
}

//INDEX 83
VARIABLE trans1_limsw_1_unit
{
	LABEL         [limsw_unit];
	HELP          [limsw_unit_help];
	CLASS         CONTAINED;
	TYPE		  ENUMERATED(2)
	{   
		DEFAULT_VALUE	1061;
		AXFPA_TRANS_UNIT_LIST
	}
	HANDLING      READ;
}

UNIT unitrelation_trans1_limsw_1_unit
{
	trans1_limsw_1_unit:

	trans1_limsw_1_setpoint
}

//INDEX 84
VARIABLE trans1_limsw_2_value_d_value
{
	LABEL       [value];
	HELP        [limsw_2_value_d_help];
	CLASS		CONTAINED & DYNAMIC;
	TYPE        ENUMERATED(1)
	{
		DEFAULT_VALUE	0;
		{0, "not set"},
		{1, "set"}
	}
	HANDLING	READ;
}

VARIABLE trans1_limsw_2_value_d_status_quality
{
	/* BITMASK 0xfc */

	LABEL		[status_quality];
	HELP		[limsw_2_value_d_help];
	CLASS		CONTAINED & DYNAMIC;
	TYPE		ENUMERATED (1)
	{
		DEFAULT_VALUE	0;
		STATUS_OUTPUT_NO_RCAS
	}
	HANDLING	READ;
}

trans1_limsw_2_value_d_status_limit				LIKE VARIABLE	trans1_limsw_2_value_d_status_quality
{
	/* BITMASK 0x03 */
	REDEFINE LABEL		[status_limit];		
	REDEFINE TYPE		ENUMERATED (1)
	{
		STATUS_OUTPUT_LIMIT
	}
}

//INDEX 85
VARIABLE trans1_limsw_2_target
{
	LABEL         [limsw_target];
	HELP          [limsw_2_target_help];
	CLASS         CONTAINED;
	TYPE		  ENUMERATED(1)
	{
		DEFAULT_VALUE	0;
		{0, "Volume Flow Value"}
	}
	HANDLING      READ & WRITE;
}

//INDEX 86
VARIABLE trans1_limsw_2_setpoint
{
	LABEL         [limsw_setpoint];
	HELP          [limsw_setpoint_help];
	CLASS         CONTAINED;
	TYPE		  FLOAT
	{   
		DEFAULT_VALUE   10;
	}
	HANDLING      READ & WRITE;
}

//INDEX 87
VARIABLE trans1_limsw_2_direction
{
	LABEL         [limsw_direction];
	HELP          [limsw_direction_help];
	CLASS         CONTAINED;
	TYPE		  ENUMERATED(1)
	{
		DEFAULT_VALUE	1;
		{0, "Low Limit"},
		{1, "High Limit"}
	}
	HANDLING      READ & WRITE;
}

//INDEX 88
VARIABLE trans1_limsw_2_hysteresis
{
	LABEL         [limsw_hysteresis];
	HELP          [limsw_hysteresis_help];
	CLASS         CONTAINED;
	TYPE		  FLOAT
	{   
		DEFAULT_VALUE   0.0;
	}
	HANDLING      READ & WRITE;
}

//INDEX 89
VARIABLE trans1_limsw_2_unit
{
	LABEL         [limsw_unit];
	HELP          [limsw_unit_help];
	CLASS         CONTAINED;
	TYPE		  ENUMERATED(2)
	{   
		DEFAULT_VALUE	1061;
		AXFPA_TRANS_UNIT_LIST
	}
	HANDLING      READ;
}

UNIT unitrelation_trans1_limsw_2_unit
{
	trans1_limsw_2_unit:

	trans1_limsw_2_setpoint
}

//INDEX 90 Value
VARIABLE trans1_switch_1_value_d_value
{
	LABEL       [value];
	HELP        [switch_1_value_d_help];
	CLASS		CONTAINED & DYNAMIC;
	TYPE        ENUMERATED(1)
	{
		DEFAULT_VALUE	0;
		{0, "not set"},
		{1, "set"}
	}
	HANDLING	READ;
}

//INDEX 90 Status Quality
VARIABLE trans1_switch_1_value_d_status_quality
{
	/* BITMASK 0xfc */

	LABEL		[status_quality];
	HELP		[switch_1_value_d_help];
	CLASS		CONTAINED & DYNAMIC;
	TYPE		ENUMERATED (1)
	{
		DEFAULT_VALUE	0;
		STATUS_OUTPUT_NO_RCAS
	}
	HANDLING	READ;
}

//INDEX 90 Value Status limit
trans1_switch_1_value_d_status_limit				LIKE VARIABLE	trans1_switch_1_value_d_status_quality
{
	/* BITMASK 0x03 */
	REDEFINE LABEL		[status_limit];		
	REDEFINE TYPE		ENUMERATED (1)
	{
		STATUS_OUTPUT_LIMIT
	}
}

//INDEX 91
VARIABLE trans1_switch_1_target
{
	LABEL         [limsw_target];
	HELP          [switch_1_target_help];
	CLASS         CONTAINED;
	TYPE		  ENUMERATED(1)
	{
		DEFAULT_VALUE	0;
		{0, "Adheshion Alarm"},
		{1, "Adhesion Warning"},
	}
	HANDLING      READ & WRITE;
}

//INDEX 92 Value
VARIABLE trans1_switch_2_value_d_value
{
	LABEL       [value];
	HELP        [switch_2_value_d_help];
	CLASS		CONTAINED & DYNAMIC;
	TYPE        ENUMERATED(1)
	{
		DEFAULT_VALUE	0;
		{0, "not set"},
		{1, "set"}
	}
	HANDLING	READ;
}

//INDEX 92 Status Quality
VARIABLE trans1_switch_2_value_d_status_quality
{
	/* BITMASK 0xfc */

	LABEL		[status_quality];
	HELP		[switch_2_value_d_help];
	CLASS		CONTAINED & DYNAMIC;
	TYPE		ENUMERATED (1)
	{
		DEFAULT_VALUE	0;
		STATUS_OUTPUT_NO_RCAS
	}
	HANDLING	READ;
}

//INDEX 92 Value Status limit
trans1_switch_2_value_d_status_limit				LIKE VARIABLE	trans1_switch_2_value_d_status_quality
{
	/* BITMASK 0x03 */
	REDEFINE LABEL		[status_limit];		
	REDEFINE TYPE		ENUMERATED (1)
	{
		STATUS_OUTPUT_LIMIT
	}
}

//INDEX 93
VARIABLE trans1_switch_2_target
{
	LABEL         [limsw_target];
	HELP          [switch_2_target_help];
	CLASS         CONTAINED;
	TYPE		  ENUMERATED(1)
	{
		DEFAULT_VALUE	1;
		{0, "Adheshion Alarm"},
		{1, "Adhesion Warning"},
	}
	HANDLING      READ & WRITE;
}

//INDEX 94
VARIABLE trans1_signal_lock
{
	LABEL         [signal_lock];
	HELP          [signal_lock_help];
	CLASS         CONTAINED & DYNAMIC;
	TYPE		  ENUMERATED(1)
	{
		DEFAULT_VALUE	0;
		{0, "Unlock"},
		{1, "Lock"}
	}
	HANDLING      READ & WRITE;
}


//INDEX 95
VARIABLE trans1_alarm_perform
{
	LABEL         [alarm_perform];
	HELP          [alarm_perform_help];
	CLASS         CONTAINED;
	TYPE		  BIT_ENUMERATED (4)
	{
//		DEFAULT_VALUE	0x33000100;
		{ MASK_SIG_OVERFLOW,	"30:Sig Overflow"	},
		{ MASK_EMPTY_PIPE, 		"31:Empty Pipe"		},
		{ MASK_ADHESION_ALM,	"33:Adhesion Alm"	},
		{ MASK_ADHESION_WNG,	"80:Adhesion Wng"	},
		{ MASK_AUTOZERO_WNG,	"82:Auto Zero Wng"	},
		{ MASK_FLOW_VEL_OVER,	"85:Flow Vel Over"	},
		{ BIT6_NOT_USE,			"bit6 undefine"		},
		{ BIT7_NOT_USE,			"bit7 undefine"		},
		{ BIT8_NOT_USE,			"bit8 undefine"		},
		{ BIT9_NOT_USE,			"bit9 undefine"		},
		{ BIT10_NOT_USE,		"bit10 undefine"	},
		{ BIT11_NOT_USE,		"bit11 undefine"	},
		{ BIT12_NOT_USE,		"bit12 undefine"	},
		{ BIT13_NOT_USE,		"bit13 undefine"	},
		{ BIT14_NOT_USE,		"bit14 undefine"	},
		{ 0x00008000,		"bit15 undefine"	},
		{ MASK_AI_ALARM,		"AI alarms (42,110,111,143,150)"	},
		{ MASK_TOT1_ALARM,		"TOT1 alarms (43,144,151)"			},
		{ MASK_TOT2_ALARM,		"TOT2 alarms (44,145,152)"			},
		{ MASK_TOT3_ALARM,		"TOT3 alarms (45,146,153)"			},
		{ MASK_DI1_ALARM,		"DI1 alarms (46,147,154)"			},
		{ MASK_DI2_ALARM,		"DI2 alarms (47,148,155)"			},
		{ BIT22_NOT_USE,		"bit22 undefine" },
		{ BIT23_NOT_USE,		"bit23 undefine" },
		{ BIT24_NOT_USE,		"bit24 undefine" },
		{ BIT25_NOT_USE,		"bit25 undefine" },
		{ BIT26_NOT_USE,		"bit26 undefine" },
		{ BIT27_NOT_USE,		"bit27 undefine" },
		{ BIT28_NOT_USE,		"bit28 undefine" },
		{ BIT29_NOT_USE,		"bit29 undefine" },
		{ BIT30_NOT_USE,		"bit30 undefine" },
		{ BIT31_NOT_USE,		"bit31 undefine" }
	}
	HANDLING      READ & WRITE;
#ifdef _PDM_
    STYLE "MULTILINE 16 14";
#endif
}

//INDEX 95-1
VARIABLE trans1_alarm_perform_1
{
	LABEL         "Alarm Perform 1";
	HELP          [alarm_perform_help];
	CLASS         CONTAINED;
	TYPE		  BIT_ENUMERATED (2)
	{
		DEFAULT_VALUE	0x0033;
		{ 0x0001,	"30:Sig Overflow"	},
		{ 0x0002, 	"31:Empty Pipe"		},
		{ 0x0004,	"33:Adhesion Alm"	},
		{ 0x0008,	"80:Adhesion Wng"	},
		{ 0x0010,	"82:Auto Zero Wng"	},
		{ 0x0020,	"85:Flow Vel Over"	}
//		{ 0x0040,	"bit6 undefine"		},
//		{ 0x0080,	"bit7 undefine"		},
//		{ 0x0100,	"bit8 undefine"		},
//		{ 0x0200,	"bit9 undefine"		},
//		{ 0x0400,	"bit10 undefine"	},
//		{ 0x0800,	"bit11 undefine"	},
//		{ 0x1000,	"bit12 undefine"	},
//		{ 0x2000,	"bit13 undefine"	},
//		{ 0x4000,	"bit14 undefine"	},
//		{ 0x8000,	"bit15 undefine"	}
	}
	HANDLING      READ & WRITE;
#ifdef _PDM_
    STYLE "MULTILINE 16 6";
#endif
}

//INDEX 95
VARIABLE trans1_alarm_perform_2
{
	LABEL         "Alarm Perform 2";
	HELP          [alarm_perform_help];
	CLASS         CONTAINED;
	TYPE		  BIT_ENUMERATED (2)
	{
		DEFAULT_VALUE	0x0001;
		{ 0x0001,	"AI alarms (42,110,111,143,150)"	},
		{ 0x0002,	"TOT1 alarms (43,144,151)"			},
		{ 0x0004,	"TOT2 alarms (44,145,152)"			},
		{ 0x0008,	"TOT3 alarms (45,146,153)"			},
		{ 0x0010,	"DI1 alarms (46,147,154)"			},
		{ 0x0020,	"DI2 alarms (47,148,155)"			}
//		{ 0x0040,	"bit22 undefine" },
//		{ 0x0080,	"bit23 undefine" },
//		{ 0x0100,	"bit24 undefine" },
//		{ 0x0200,	"bit25 undefine" },
//		{ 0x0400,	"bit26 undefine" },
//		{ 0x0800,	"bit27 undefine" },
//		{ 0x1000,	"bit28 undefine" },
//		{ 0x2000,	"bit29 undefine" },
//		{ 0x4000,	"bit30 undefine" },
//		{ 0x8000,	"bit31 undefine" }
	}
	HANDLING      READ & WRITE;
#ifdef _PDM_
    STYLE "MULTILINE 16 6";
#endif
}

//INDEX 96
VARIABLE trans1_simulate_mode
{
	LABEL		[simulate_mode];
	HELP		[simulate_mode_help];
	CLASS		CONTAINED & DYNAMIC;
	TYPE		ENUMERATED(1)
	{
		DEFAULT_VALUE	0;
		{0, "Off"},
		{1, "Volume Flow"}
	}
	HANDLING	READ & WRITE;
}


//INDEX 97
VARIABLE trans1_simulate_type
{
	LABEL		[simulate_type];
	HELP		[simulate_type_help];
	CLASS		CONTAINED & DYNAMIC;
	TYPE		ENUMERATED(1)
	{
		DEFAULT_VALUE	0;
		{0, "Fixed"},
		{1, "2 points"},
		{2, "3 points"},
		{3, "Ramp"}
	}
	HANDLING	READ & WRITE;
}

//INDEX 98 Value
VARIABLE trans1_simulate_volume_flow_value
{
	LABEL       [simulate_volume_flow];
	HELP        [simulate_volume_flow_help];
	CLASS		CONTAINED & DYNAMIC;
	TYPE        FLOAT;
	HANDLING	READ & WRITE;
}

//INDEX 98 Quality
VARIABLE trans1_simulate_volume_flow_status_quality
{
	/* BITMASK 0xfc */
	LABEL		[status_quality];
	HELP		[value_status_help];
	CLASS		CONTAINED & DYNAMIC;
	TYPE		ENUMERATED (1)
	{
		DEFAULT_VALUE	0;
		STATUS_OUTPUT_NO_RCAS
	}
	HANDLING	READ & WRITE;
}

//INDEX 98 Limit
trans1_simulate_volume_flow_status_limit		LIKE VARIABLE	trans1_simulate_volume_flow_status_quality
{
	/* BITMASK 0x03 */
	REDEFINE LABEL		[status_limit];		
	REDEFINE TYPE		ENUMERATED (1)
	{
		STATUS_OUTPUT_LIMIT
	}
}

//INDEX 99
VARIABLE trans1_simulate_up_value
{
	LABEL		[simulate_up_value];
	HELP		[simulate_up_value_help];
	CLASS		CONTAINED;
	TYPE		FLOAT
	{   
		DEFAULT_VALUE   0.0;
	}
}

//INDEX 100
VARIABLE trans1_simulate_lo_value
{
	LABEL		[simulate_lo_value];
	HELP		[simulate_lo_value_help];
	CLASS		CONTAINED;
	TYPE		FLOAT
	{   
		DEFAULT_VALUE   0.0;
	}
}


//INDEX 101
VARIABLE trans1_simulate_time
{
	LABEL		[simulate_time];
	HELP		[simulate_time_help];
	CLASS		CONTAINED;
	TYPE		UNSIGNED_INTEGER (2)
	{
		DEFAULT_VALUE 30;
	}
	HANDLING		READ & WRITE;
	CONSTANT_UNIT	"s";
}


//INDEX 102
VARIABLE trans1_operation_time
{
	LABEL		[operation_time];
	HELP		[operation_time_help];
	CLASS		CONTAINED & DYNAMIC;
	TYPE		ASCII (16)
	{
		DEFAULT_VALUE	"0D 00:00";
	}
	HANDLING	READ;
}

//INDEX 103
VARIABLE trans1_alm_record_1
{
	LABEL		[alm_record_1];
	HELP		[alm_record_1_help];
	CLASS		CONTAINED & DYNAMIC;
	TYPE		ENUMERATED(1)
	{
		DEFAULT_VALUE	0;
		{0, "       "},
		{1, "10:uP Fault"},
		{2, "11:EEPROM Fault"},
		{3, "12:A/D(H) Fault"},
		{4, "13:A/D(L) Fault"},
		{5, "14:A/D(Z) Fault"},
		{6, "15:Coil Open"},
		{7, "16:EEPROM Dflt"},
		{8, "18:Power Off"},
		{9, "19:Inst Pwr Fail"},
		{10, "28:WDT"},
		{11, "30:Sig Overflow"},
		{12, "31:Empty Pipe"},
		{13, "33:Adhesion Alm"},
		{14, "34:Insu-Brk Alm"}
	}
	HANDLING	READ;
}

//INDEX 104
VARIABLE trans1_alm_record_time_1
{
	LABEL		[alm_record_time_1];
	HELP		[alm_record_time_1_help];
	CLASS		CONTAINED & DYNAMIC;
	TYPE		ASCII (16)
	{
		DEFAULT_VALUE	"0D 00:00";
	}
	HANDLING	READ;
}

//INDEX 105
VARIABLE trans1_alm_record_2
{
	LABEL		[alm_record_2];
	HELP		[alm_record_2_help];
	CLASS		CONTAINED & DYNAMIC;
	TYPE		ENUMERATED(1)
	{
		DEFAULT_VALUE	0;
		{0, "       "},
		{1, "10:uP Fault"},
		{2, "11:EEPROM Fault"},
		{3, "12:A/D(H) Fault"},
		{4, "13:A/D(L) Fault"},
		{5, "14:A/D(Z) Fault"},
		{6, "15:Coil Open"},
		{7, "16:EEPROM Dflt"},
		{8, "18:Power Off"},
		{9, "19:Inst Pwr Fail"},
		{10, "28:WDT"},
		{11, "30:Sig Overflow"},
		{12, "31:Empty Pipe"},
		{13, "33:Adhesion Alm"},
		{14, "34:Insu-Brk Alm"}
	}
	HANDLING	READ;
}

//INDEX 106
VARIABLE trans1_alm_record_time_2
{
	LABEL		[alm_record_time_2];
	HELP		[alm_record_time_2_help];
	CLASS		CONTAINED & DYNAMIC;
	TYPE		ASCII (16)
	{
		DEFAULT_VALUE	"0D 00:00";
	}
	HANDLING	READ;
}

//INDEX 107
VARIABLE trans1_alm_record_3
{
	LABEL		[alm_record_3];
	HELP		[alm_record_3_help];
	CLASS		CONTAINED & DYNAMIC;
	TYPE		ENUMERATED(1)
	{
		DEFAULT_VALUE	0;
		{0, "       "},
		{1, "10:uP Fault"},
		{2, "11:EEPROM Fault"},
		{3, "12:A/D(H) Fault"},
		{4, "13:A/D(L) Fault"},
		{5, "14:A/D(Z) Fault"},
		{6, "15:Coil Open"},
		{7, "16:EEPROM Dflt"},
		{8, "18:Power Off"},
		{9, "19:Inst Pwr Fail"},
		{10, "28:WDT"},
		{11, "30:Sig Overflow"},
		{12, "31:Empty Pipe"},
		{13, "33:Adhesion Alm"},
		{14, "34:Insu-Brk Alm"}
	}
	HANDLING	READ;
}

//INDEX 108
VARIABLE trans1_alm_record_time_3
{
	LABEL		[alm_record_time_3];
	HELP		[alm_record_time_3_help];
	CLASS		CONTAINED & DYNAMIC;
	TYPE		ASCII (16)
	{
		DEFAULT_VALUE	"0D 00:00";
	}
	HANDLING	READ;
}


//INDEX 109
VARIABLE trans1_alm_record_4
{
	LABEL		[alm_record_4];
	HELP		[alm_record_4_help];
	CLASS		CONTAINED & DYNAMIC;
	TYPE		ENUMERATED(1)
	{
		DEFAULT_VALUE	0;
		{0, "       "},
		{1, "10:uP Fault"},
		{2, "11:EEPROM Fault"},
		{3, "12:A/D(H) Fault"},
		{4, "13:A/D(L) Fault"},
		{5, "14:A/D(Z) Fault"},
		{6, "15:Coil Open"},
		{7, "16:EEPROM Dflt"},
		{8, "18:Power Off"},
		{9, "19:Inst Pwr Fail"},
		{10, "28:WDT"},
		{11, "30:Sig Overflow"},
		{12, "31:Empty Pipe"},
		{13, "33:Adhesion Alm"},
		{14, "34:Insu-Brk Alm"}
	}
	HANDLING	READ;
}

//INDEX 110
VARIABLE trans1_alm_record_time_4
{
	LABEL		[alm_record_time_4];
	HELP		[alm_record_time_4_help];
	CLASS		CONTAINED & DYNAMIC;
	TYPE		ASCII (16)
	{
		DEFAULT_VALUE	"0D 00:00";
	}
	HANDLING	READ;
}



//INDEX 111
VARIABLE trans1_diplay_select1
{
	LABEL         [diplay_select1];
	HELP          [diplay_select1_help];
	CLASS         CONTAINED;
	TYPE		  ENUMERATED(1)
	{
		DEFAULT_VALUE	1;
		{0, "Flow Rate(%)"},
		{1, "Out Value"},
		{2, "Totalized Flow Rate1"},
		{3, "Totalized Flow Rate2"},
		{4, "Totalized Flow Rate3"}
	}
	HANDLING      READ & WRITE;
}

//INDEX 112
VARIABLE trans1_diplay_select2
{
	LABEL         [diplay_select2];
	HELP          [diplay_select2_help];
	CLASS         CONTAINED;
	TYPE		  ENUMERATED(1)
	{
		DEFAULT_VALUE	0;
		{0, "Off"},
		{1, "Flow Rate(%)"},
		{2, "Out Value"},
		{3, "Flow Rate(Bar)"},
		{4, "Totalized Flow Rate1"},
		{5, "Totalized Flow Rate2"},
		{6, "Totalized Flow Rate3"},
		{7, "Tag No"},
		{8, "Adhesion Check"},
		{9, "Communication"}
	}
	HANDLING      READ & WRITE;
}

//INDEX 113
VARIABLE trans1_diplay_select3
{
	LABEL         [diplay_select3];
	HELP          [diplay_select3_help];
	CLASS         CONTAINED;
	TYPE		  ENUMERATED(1)
	{
		DEFAULT_VALUE	0;
		{0, "Off"},
		{1, "Flow Rate(%)"},
		{2, "Out Value"},
		{3, "Flow Rate(Bar)"},
		{4, "Totalized Flow Rate1"},
		{5, "Totalized Flow Rate2"},
		{6, "Totalized Flow Rate3"},
		{7, "Tag No"},
		{8, "Adhesion Check"},
		{9, "Communication"}
	}
	HANDLING      READ & WRITE;
}

//INDEX 114
VARIABLE trans1_diplay_cycle
{
	LABEL         [diplay_cycle];
	HELP          [diplay_cycle_help];
	CLASS         CONTAINED;
	TYPE		  ENUMERATED(1)
	{
		DEFAULT_VALUE	1;
		{0, "200ms"},
		{1, "400ms"},
		{2, "1s"},
		{3, "2s"},
		{4, "4s"},
		{5, "8s"}
	}
	HANDLING      READ & WRITE;
}

//INDEX 115
VARIABLE trans1_language
{
	LABEL         [language];
	HELP          [language_help];
	CLASS         CONTAINED;
	TYPE		  ENUMERATED(1)
	{
		DEFAULT_VALUE	0;
		{0, "English"},
		{1, "Japanese"},
		{2, "French"},
		{3, "German"},
		{4, "Italian"},
		{5, "Spanish"}
	}
	HANDLING      READ & WRITE;
}

//INDEX 116
VARIABLE trans1_rate_limit
{
	LABEL		[rate_limit];
	HELP		[rate_limit_help];
	CLASS		CONTAINED;
	TYPE        FLOAT
	{   
		DEFAULT_VALUE	5.0;
		MIN_VALUE		0.0;
		MAX_VALUE		10.0;
//		EDIT_FORMAT		"8.6f";
//		DISPLAY_FORMAT	".6f";
		DISPLAY_FORMAT	"3.0f";
	}
	CONSTANT_UNIT	"%";
}


//INDEX 117
VARIABLE trans1_dead_time
{
	LABEL		[dead_time];
	HELP		[dead_time_help];
	CLASS		CONTAINED;
	TYPE		FLOAT
	{   
		DEFAULT_VALUE   0.0;
		MIN_VALUE		0.0;
		MAX_VALUE		15.0;
//		EDIT_FORMAT		"8.6f";
//		DISPLAY_FORMAT	".6f";
		DISPLAY_FORMAT	"3.0f";
	}
	CONSTANT_UNIT	"s";
}

//INDEX 118
VARIABLE trans1_pulsing_flow
{
	LABEL		[pulsing_flow];
	HELP		[pulsing_flow_help];
	CLASS		CONTAINED;
	TYPE		ENUMERATED(1)
	{
		DEFAULT_VALUE	0;
		{0, "No"},
		{1, "Yes"}
	}
	HANDLING	READ & WRITE;
}

//INDEX 119
VARIABLE trans1_power_synch
{
	LABEL		[power_synch];
	HELP		[power_synch_help];
	CLASS		CONTAINED;
	TYPE		ENUMERATED(1)
	{
		DEFAULT_VALUE	1;
		{0, "No"},
		{1, "Yes"}
	}
	HANDLING	READ & WRITE;
}


//INDEX 120
VARIABLE trans1_power_frequency
{
	LABEL		[power_frequency];
	HELP		[power_frequency_help];
	CLASS		CONTAINED;
	TYPE		FLOAT
	{   
		DEFAULT_VALUE   50.00;
		MIN_VALUE		47.00;
		MAX_VALUE		63.00;
//		EDIT_FORMAT		"8.6f";
//		DISPLAY_FORMAT	".6f";
		DISPLAY_FORMAT	"5.2f";
	}
	CONSTANT_UNIT	"Hz";
}

//INDEX 121
VARIABLE trans1_software_rev_no
{
	LABEL		[software_rev_no];
	HELP		[software_rev_no_help];
	CLASS		CONTAINED;
	TYPE		ASCII (8)
	{
		DEFAULT_VALUE	"R1.01";
	}
	HANDLING	READ;
#ifdef _PDM_
	PURPOSE		"Device.Type.Ident.SwRevision"; /* __DDC_DTM  */
#endif
}

//INDEX 122
VARIABLE trans1_adhesion_check
{
	LABEL		[adhesion_check];
	HELP		[adhesion_check_help];
	CLASS		CONTAINED;
	TYPE		ENUMERATED(1)
	{
		DEFAULT_VALUE	0;
		{0, "No"},
		{1, "Yes"}
	}
	HANDLING	READ & WRITE;
}

//INDEX 123
VARIABLE trans1_adhesion_level_1
{
	LABEL		[adhesion_level_1];
	HELP		[adhesion_level_1_help];
	CLASS		CONTAINED;
	TYPE		FLOAT
	{
		DEFAULT_VALUE	0.10;
		MIN_VALUE		0.00;
		MAX_VALUE		100.00;
//		EDIT_FORMAT		"8.6f";
//		DISPLAY_FORMAT	".6f";
		DISPLAY_FORMAT	"6.2f";
	}
	CONSTANT_UNIT	"M ohm";
	HANDLING	READ & WRITE;
}

//INDEX 124
VARIABLE trans1_adhesion_level_2
{
	LABEL		[adhesion_level_2];
	HELP		[adhesion_level_2_help];
	CLASS		CONTAINED;
	TYPE		FLOAT
	{
		DEFAULT_VALUE	0.50;
		MIN_VALUE		0.00;
		MAX_VALUE		100.00;
//		EDIT_FORMAT		"8.6f";
//		DISPLAY_FORMAT	".6f";
		DISPLAY_FORMAT	"6.2f";
	}
	CONSTANT_UNIT	"M ohm";
	HANDLING	READ & WRITE;
}

//INDEX 125
VARIABLE trans1_adhesion_level_3
{
	LABEL		[adhesion_level_3];
	HELP		[adhesion_level_3_help];
	CLASS		CONTAINED;
	TYPE		FLOAT
	{
		DEFAULT_VALUE	1.00;
		MIN_VALUE		0.00;
		MAX_VALUE		100.00;
//		EDIT_FORMAT		"8.6f";
//		DISPLAY_FORMAT	".6f";
		DISPLAY_FORMAT	"6.2f";
	}
	CONSTANT_UNIT	"M ohm";
	HANDLING	READ & WRITE;
}

//INDEX 126
VARIABLE trans1_adhesion_level_4
{
	LABEL		[adhesion_level_4];
	HELP		[adhesion_level_4_help];
	CLASS		CONTAINED;
	TYPE		FLOAT
	{
		DEFAULT_VALUE	3.00;
		MIN_VALUE		0.00;
		MAX_VALUE		100.00;
//		EDIT_FORMAT		"8.6f";
//		DISPLAY_FORMAT	".6f";
		DISPLAY_FORMAT	"6.2f";
	}
	CONSTANT_UNIT	"M ohm";
	HANDLING	READ & WRITE;
}


//INDEX 127
VARIABLE trans1_adh_measure_value
{
	LABEL		[adh_measure_value];
	HELP		[adh_measure_value_help];
	CLASS		CONTAINED & DYNAMIC;
	TYPE		FLOAT
	{
//		EDIT_FORMAT		"8.6f";
//		DISPLAY_FORMAT	".6f";
		DISPLAY_FORMAT	"7.2f";
	}
	CONSTANT_UNIT	"M ohm";
	HANDLING	READ;
}


/*******************************************************************************/
/*****	COMMAND for AXF PB  ****************************************************/
/*******************************************************************************/
/* Slot0 Index30 Diagnosis Extention */
COMMAND read_phys_diagnosis_extension_bytes
{
	BLOCK physical_block;
	INDEX 14;
	OPERATION READ;
	TRANSACTION
	{
		REQUEST
		{
		}
		REPLY
		{
			phys_diagnosis_extension_byte_1,
			phys_diagnosis_extension_byte_2,
			phys_diagnosis_extension_byte_3,
			phys_diagnosis_extension_byte_4,
			phys_diagnosis_extension_byte_5,
			phys_diagnosis_extension_byte_6
		}
	}
}


/* Slot0 Index32 Diagnosis Mask Extention */
COMMAND read_phys_diagnosis_mask_extension_bytes
{
	BLOCK physical_block;
	INDEX 16;
	OPERATION READ;
	TRANSACTION
	{
		REQUEST
		{
		}
		REPLY
		{
			phys_diagnosis_extension_mask_byte_1,
			phys_diagnosis_extension_mask_byte_2,
			phys_diagnosis_extension_mask_byte_3,
			phys_diagnosis_extension_mask_byte_4,
			phys_diagnosis_extension_mask_byte_5,
			phys_diagnosis_extension_mask_byte_6
		}
	}
}


/* Slot0 Index49 Software Description */
COMMAND read_phys_soft_desc
{
	BLOCK physical_block;
	INDEX 33;
	OPERATION READ;
	TRANSACTION
	{
		REQUEST
		{
		}
		REPLY
		{
			phys_soft_desc
		}
	}
}


/* Slot0 Index50 Set Address */
COMMAND read_phys_set_address
{
	BLOCK physical_block;
	INDEX 34;
	OPERATION READ;
	TRANSACTION
	{
		REQUEST
		{
		}
		REPLY
		{
			phys_set_address
		}
	}
}

COMMAND write_phys_set_address
{
	BLOCK physical_block;
	INDEX 34;
	OPERATION WRITE;
	TRANSACTION
	{
		REQUEST
		{
			phys_set_address
		}
		REPLY
		{
		}
	}
}


/* Slot0 Index51 Function Block Status */
COMMAND read_phys_function_block_status
{
	BLOCK physical_block;
	INDEX 35;
	OPERATION READ;
	TRANSACTION
	{
		REQUEST
		{
		}
		REPLY
		{
			phys_function_block_status_byte_1,
			phys_function_block_status_byte_2,
			phys_function_block_status_byte_3,
			phys_function_block_status_byte_4,
			phys_function_block_status_byte_5,
			phys_function_block_status_byte_6
		}
	}
}


/* Slot0 Index52 Diagnosis Simulation Mode */
COMMAND read_phys_diagnosis_simulation_mode
{
	BLOCK physical_block;
	INDEX 36;
	OPERATION READ;
	TRANSACTION
	{
		REQUEST
		{
		}
		REPLY
		{
			phys_diagnosis_simulation_mode
		}
	}
}

COMMAND write_phys_diagnosis_simulation_mode
{
	BLOCK physical_block;
	INDEX 36;
	OPERATION WRITE;
	TRANSACTION
	{
		REQUEST
		{
			phys_diagnosis_simulation_mode
		}
		REPLY
		{
		}
	}
}



/* Slot0 Index53 Diagnosis Simulation Extention */
COMMAND read_phys_diagnosis_sim_extension
{
	BLOCK physical_block;
	INDEX 37;
	OPERATION READ;
	TRANSACTION
	{
		REQUEST
		{
		}
		REPLY
		{
			phys_diagnosis_sim_extension_byte_1,
			phys_diagnosis_sim_extension_byte_2,
			phys_diagnosis_sim_extension_byte_3,
			phys_diagnosis_sim_extension_byte_4,
			phys_diagnosis_sim_extension_byte_5,
			phys_diagnosis_sim_extension_byte_6
		}
	}
}

COMMAND write_phys_diagnosis_sim_extension
{
	BLOCK physical_block;
	INDEX 37;
	OPERATION WRITE;
	TRANSACTION
	{
		REQUEST
		{
			phys_diagnosis_sim_extension_byte_1,
			phys_diagnosis_sim_extension_byte_2,
			phys_diagnosis_sim_extension_byte_3,
			phys_diagnosis_sim_extension_byte_4,
			phys_diagnosis_sim_extension_byte_5,
			phys_diagnosis_sim_extension_byte_6
		}
		REPLY
		{
		}
	}
}

/*******************************************************************************/
/*****	VALIABLE for AXF PB ****************************************************/
/*******************************************************************************/
/* INDEX 30 DIAGNOSIS_EXTENSION Byte1 */
VARIABLE phys_diagnosis_extension_byte_1
{
	LABEL	[diagnosis_extension_byte_1];
	HELP	[diagnosis_extension_byte_1_help];
	CLASS	CONTAINED & DYNAMIC;
	TYPE	BIT_ENUMERATED (1)
	{
		{ 0x01,		[up_fault],			[up_fault_help]			},
		{ 0x02, 	[eeprom_fault],		[eeprom_fault_help]		},
		{ 0x04,		[ad_h_fault],		[ad_h_fault_help]		},
		{ 0x08,		[ad_l_fault],		[ad_l_fault_help]		},
		{ 0x10,		[ad_z_fault],		[ad_z_fault_help]		},
		{ 0x20,		[coil_open],		[coil_open_help]		},
		{ 0x40,		[eeprom_dflt],		[eeprom_dflt_help]		},
		{ 0x80,		[comm_up_fault],	[comm_up_fault_help]	}
	}
	HANDLING	READ;
#ifdef _PDM_
    STYLE "MULTILINE 16 8";
#endif
}

/* INDEX 30 DIAGNOSIS_EXTENSION Byte2 */
VARIABLE phys_diagnosis_extension_byte_2
{
	LABEL	[diagnosis_extension_byte_2];
	HELP	[diagnosis_extension_byte_2_help];
	CLASS	CONTAINED & DYNAMIC;
	TYPE	BIT_ENUMERATED (1)
	{
		{ 0x01,		[comm_eeprom_fault],[comm_eeprom_fault_help]},
		{ 0x02,		[total1_not_saved],	[total1_not_saved_help]	},
		{ 0x04,		[total2_not_saved],	[total2_not_saved_help]	},
		{ 0x08,		[total3_not_saved],	[total3_not_saved_help]	},
		{ 0x10,		[comm_error1],		[comm_error1_help]		},
		{ 0x20,		[comm_error2],		[comm_error2_help]		}
//		{ 0x40,		[dl_incmplete],		[dl_incmplete_help]		},
//		{ 0x80,		[dl_fail],			[dl_fail_help]			}
	}
	HANDLING	READ;
#ifdef _PDM_
    STYLE "MULTILINE 16 6";
#endif
}

/* INDEX 30 DIAGNOSIS_EXTENSION Byte3 */
VARIABLE phys_diagnosis_extension_byte_3
{
	LABEL	[diagnosis_extension_byte_3];
	HELP	[diagnosis_extension_byte_3_help];
	CLASS	CONTAINED & DYNAMIC;
	TYPE	BIT_ENUMERATED (1)
	{
//		{ 0x01,		"Not Use",			"Not Use"				},
//		{ 0x02,		"Not Use",			"Not Use"				},
//		{ 0x04,		"Not Use",			"Not Use"				},
//		{ 0x08,		"Not Use",			"Not Use"				},
		{ 0x10,		[sig_overflow],		[sig_overflow_help]		},
		{ 0x20,		[empty_pipe],		[empty_pipe_help]		},
		{ 0x40,		[dhesion_alm],		[dhesion_alm_help]		},
//		{ 0x80,		[insulation_alm],	[insulation_alm_help]	}
	}
	HANDLING	READ;
#ifdef _PDM_
    STYLE "MULTILINE 16 3";
#endif
}

/* INDEX 30 DIAGNOSIS_EXTENSION Byte4 */
VARIABLE phys_diagnosis_extension_byte_4
{
	LABEL	[diagnosis_extension_byte_4];
	HELP	[diagnosis_extension_byte_4_help];
	CLASS	CONTAINED & DYNAMIC;
	TYPE	BIT_ENUMERATED (1)
	{
		{ 0x01,		[span_over_range],	[span_over_range_help]	},
		{ 0x02,		[span_under_range],	[span_under_range_help]	},
		{ 0x04,		[dens_set_err],		[dens_set_err_help]		},
		{ 0x08,		[meas_mod_set],		[meas_mod_set_help]		},
		{ 0x10,		[size_set_err],		[size_set_err_help]		},
		{ 0x20,		[adh_set_err],		[adh_set_err_help]		}
//		{ 0x40,		"Not Use",			"Not Use"				},
//		{ 0x80,		"Not Use",			"Not Use"				}
	}
	HANDLING	READ;
#ifdef _PDM_
    STYLE "MULTILINE 16 6";
#endif

}

/* INDEX 30 DIAGNOSIS_EXTENSION Byte5 */
VARIABLE phys_diagnosis_extension_byte_5
{
	LABEL	[diagnosis_extension_byte_5];
	HELP	[diagnosis_extension_byte_5_help];
	CLASS	CONTAINED & DYNAMIC;
	TYPE	BIT_ENUMERATED (1)
	{
//		{ 0x01,		"Not Use",			"Not Use"				},
//		{ 0x02,		"Not Use",			"Not Use"				},
//		{ 0x04,		"Not Use",			"Not Use"				},
//		{ 0x08,		"Not Use",			"Not Use"				},
		{ 0x10,		[adhesion_wng],		[adhesion_wng_help]		},
//		{ 0x20,		[insu_brk_wng],		[insu_brk_wng_help]		},
		{ 0x40,		[auto_zero_wng],	[auto_zero_wng_help]	},
		{ 0x80,		[flow_vel_over],	[flow_vel_over_help]	}
	}
	HANDLING	READ;
#ifdef _PDM_
    STYLE "MULTILINE 16 3";
#endif
}

/* INDEX 30 DIAGNOSIS_EXTENSION Byte6 */
VARIABLE phys_diagnosis_extension_byte_6
{
	LABEL	[diagnosis_extension_byte_6];
	HELP	[diagnosis_extension_byte_6_help];
	CLASS	CONTAINED & DYNAMIC;
	TYPE	BIT_ENUMERATED (1)
	{
//		{ 0x01,		[display_sw],		[display_sw_help]		},
//		{ 0x02,		"Not Use",			"Not Use"				},
//		{ 0x04,		"Not Use",			"Not Use"				},
//		{ 0x08,		"Not Use",			"Not Use"				},
//		{ 0x10,		"Not Use",			"Not Use"				},
//		{ 0x20,		"Not Use",			"Not Use"				},
//		{ 0x40,		"Not Use",			"Not Use"				},
		{ 0x80,		[sim_jmpr_on],		[sim_jmpr_on_help]		}
	}
	HANDLING	READ;
#ifdef _PDM_
    STYLE "MULTILINE 16 1";
#endif
}


/* INDEX 32 DIAGNOSIS_EXTENSION_MASK Byte1 */
phys_diagnosis_extension_mask_byte_1	LIKE VARIABLE	phys_diagnosis_extension_byte_1
{
	REDEFINE LABEL	[diagnosis_mask_extension_byte_1];
	REDEFINE HELP	[diagnosis_mask_extension_byte_1_help];
}

/* INDEX 32 DIAGNOSIS_EXTENSION_MASK Byte2 */
phys_diagnosis_extension_mask_byte_2	LIKE VARIABLE	phys_diagnosis_extension_byte_2
{
	REDEFINE LABEL	[diagnosis_mask_extension_byte_2];
	REDEFINE HELP	[diagnosis_mask_extension_byte_2_help];
}

/* INDEX 32 DIAGNOSIS_EXTENSION_MASK Byte3 */
phys_diagnosis_extension_mask_byte_3	LIKE VARIABLE	phys_diagnosis_extension_byte_3
{
	REDEFINE LABEL	[diagnosis_mask_extension_byte_3];
	REDEFINE HELP	[diagnosis_mask_extension_byte_3_help];
}

/* INDEX 32 DIAGNOSIS_EXTENSION_MASK Byte4 */
phys_diagnosis_extension_mask_byte_4	LIKE VARIABLE	phys_diagnosis_extension_byte_4
{
	REDEFINE LABEL	[diagnosis_mask_extension_byte_4];
	REDEFINE HELP	[diagnosis_mask_extension_byte_4_help];
}

/* INDEX 32 DIAGNOSIS_EXTENSION_MASK Byte5 */
phys_diagnosis_extension_mask_byte_5	LIKE VARIABLE	phys_diagnosis_extension_byte_5
{
	REDEFINE LABEL	[diagnosis_mask_extension_byte_5];
	REDEFINE HELP	[diagnosis_mask_extension_byte_5_help];
}

/* INDEX 32 DIAGNOSIS_EXTENSION_MASK Byte6 */
phys_diagnosis_extension_mask_byte_6	LIKE VARIABLE	phys_diagnosis_extension_byte_6
{
	REDEFINE LABEL	[diagnosis_mask_extension_byte_6];
	REDEFINE HELP	[diagnosis_mask_extension_byte_6_help];
}



//INDEX 49
VARIABLE phys_soft_desc
{
	LABEL		[soft_desc];
	HELP		[soft_desc_help];
	CLASS		CONTAINED;
	TYPE		ASCII (32)
	{
		DEFAULT_VALUE "1.00-4590-1.00";
	}
	HANDLING	READ;
}


//INDEX 50
VARIABLE phys_set_address
{
	LABEL		[set_address];
	HELP		[set_address_help];
	CLASS		CONTAINED & DYNAMIC;
	TYPE		UNSIGNED_INTEGER (1)
	{
		DEFAULT_VALUE 0;
	}
	HANDLING	READ & WRITE;
}

//INDEX 51 Function Block Status Byte1
VARIABLE phys_function_block_status_byte_1
{
	LABEL	[function_block_status_byte_1];
	HELP	[function_block_status_byte_1_help];
	CLASS	CONTAINED & DYNAMIC;
	TYPE	BIT_ENUMERATED (1)
	{
		{ 0x01,		[ai_lo_lo_alm]		},
		{ 0x02, 	[ai_hi_hi_alm]		},
		{ 0x04,		[tot1_unit_set_err]	},
		{ 0x08,		[tot2_unit_set_err]	},
		{ 0x10,		[tot3_unit_set_err]	}
//		{ 0x20,		"Not Used"			},
//		{ 0x40,		"Not Used"			},
//		{ 0x80,		"Not Used"			}
	}
	HANDLING	READ;
#ifdef _PDM_
    STYLE "MULTILINE 16 5";
#endif
}

//INDEX 51 Function Block Status Byte2
VARIABLE phys_function_block_status_byte_2
{
	LABEL	[function_block_status_byte_2];
	HELP	[function_block_status_byte_2_help];
	CLASS	CONTAINED & DYNAMIC;
	TYPE	BIT_ENUMERATED (1)
	{
		{ 0x01,		[phys_os_mode]		},
		{ 0x02, 	[tb_os_mode]		},
		{ 0x04,		[ai_os_mode]		},
		{ 0x08,		[tot1_os_mode]		},
		{ 0x10,		[tot2_os_mode]		},
		{ 0x20,		[tot3_os_mode]		},
		{ 0x40,		[di1_os_mode]		},
		{ 0x80,		[di2_os_mode]		}
	}
	HANDLING	READ;
#ifdef _PDM_
    STYLE "MULTILINE 16 8";
#endif
}

//INDEX 51 Function Block Status Byte3
VARIABLE phys_function_block_status_byte_3
{
	LABEL	[function_block_status_byte_3];
	HELP	[function_block_status_byte_3_help];
	CLASS	CONTAINED & DYNAMIC;
	TYPE	BIT_ENUMERATED (1)
	{
#ifdef _ERRORS_
		{ 0x01,		"Not Used"	}
#endif

//		{ 0x01,		"Not Used"	},
//		{ 0x02, 	"Not Used"	},
//		{ 0x04,		"Not Used"	},
//		{ 0x08,		"Not Used"	},
//		{ 0x10,		"Not Used"	},
//		{ 0x20,		"Not Used"	},
//		{ 0x40,		"Not Used"	},
//		{ 0x80,		"Not Used"	}
	}
	HANDLING	READ;
//	STYLE "MULTILINE 16 8";
}

//INDEX 51 Function Block Status Byte4
VARIABLE phys_function_block_status_byte_4
{
	LABEL	[function_block_status_byte_4];
	HELP	[function_block_status_byte_4_help];
	CLASS	CONTAINED & DYNAMIC;
	TYPE	BIT_ENUMERATED (1)
	{
		{ 0x01,		[pb_sim_enabled]		},
		{ 0x02, 	[tb_sim_enabled]		},
		{ 0x04,		[ai_sim_enabled]		},
		{ 0x08,		[tot1_sim_enabled]		},
		{ 0x10,		[tot2_sim_enabled]		},
		{ 0x20,		[tot3_sim_enabled]		},
		{ 0x40,		[di1_sim_enabled]		},
		{ 0x80,		[di2_sim_enabled]		}
	}
	HANDLING	READ;
#ifdef _PDM_
    STYLE "MULTILINE 16 8";
#endif

}

//INDEX 51 Function Block Status Byte5
VARIABLE phys_function_block_status_byte_5
{
	LABEL	[function_block_status_byte_5];
	HELP	[function_block_status_byte_5_help];
	CLASS	CONTAINED & DYNAMIC;
	TYPE	BIT_ENUMERATED (1)
	{
//		{ 0x01,		"Not Used"				},
//		{ 0x02, 	"Not Used"				},
		{ 0x04,		[ai_man_mode]			},
		{ 0x08,		[tot1_man_mode]			},
		{ 0x10,		[tot2_man_mode]			},
		{ 0x20,		[tot3_man_mode]			},
		{ 0x40,		[di1_man_mode]			},
		{ 0x80,		[di2_man_mode]			}
	}
	HANDLING	READ;
#ifdef _PDM_
    STYLE "MULTILINE 16 6";
#endif
}

//INDEX 51 Function Block Status Byte6
VARIABLE phys_function_block_status_byte_6
{
	LABEL	[function_block_status_byte_6];
	HELP	[function_block_status_byte_6_help];
	CLASS	CONTAINED & DYNAMIC;
	TYPE	BIT_ENUMERATED (1)
	{
#ifdef _ERRORS_
		{ 0x01,		"Not Used"	}
#endif

//		{ 0x01,		"Not Used"	},
//		{ 0x02, 	"Not Used"	},
//		{ 0x04,		"Not Used"	},
//		{ 0x08,		"Not Used"	},
//		{ 0x10,		"Not Used"	},
//		{ 0x20,		"Not Used"	},
//		{ 0x40,		"Not Used"	},
//		{ 0x80,		"Not Used"	}
	}
	HANDLING	READ;
#ifdef _PDM_
    STYLE "MULTILINE 16 8";
#endif

}

//INDEX 52 Diagnosis Simulation Mode
VARIABLE phys_diagnosis_simulation_mode
{
	LABEL		[diagnosis_simulation_mode];
	HELP		[diagnosis_simulation_mode_help];
	CLASS		CONTAINED;
	TYPE		ENUMERATED (1)
	{
		DEFAULT_VALUE	0;
		{	0,	[disabled]		},
		{	1,	[enabled]		}
	}
	HANDLING	READ & WRITE;
}


//INDEX 53 Diagnosis Simulation Extention Byte1
phys_diagnosis_sim_extension_byte_1		LIKE VARIABLE	phys_diagnosis_extension_byte_1
{
	REDEFINE LABEL		[diagnosis_sim_extension_byte_1];
	REDEFINE HELP		[diagnosis_sim_extension_byte_1_help];
	REDEFINE HANDLING	READ & WRITE;
}

//INDEX 53 Diagnosis Simulation Extention Byte2
phys_diagnosis_sim_extension_byte_2		LIKE VARIABLE	phys_diagnosis_extension_byte_2
{
	REDEFINE LABEL		[diagnosis_sim_extension_byte_2];
	REDEFINE HELP		[diagnosis_sim_extension_byte_2_help];
	REDEFINE HANDLING	READ & WRITE;
}

//INDEX 53 Diagnosis Simulation Extention Byte3
phys_diagnosis_sim_extension_byte_3		LIKE VARIABLE	phys_diagnosis_extension_byte_3
{
	REDEFINE LABEL		[diagnosis_sim_extension_byte_3];
	REDEFINE HELP		[diagnosis_sim_extension_byte_3_help];
	REDEFINE HANDLING	READ & WRITE;
}

//INDEX 53 Diagnosis Simulation Extention Byte4
phys_diagnosis_sim_extension_byte_4		LIKE VARIABLE	phys_diagnosis_extension_byte_4
{
	REDEFINE LABEL		[diagnosis_sim_extension_byte_4];
	REDEFINE HELP		[diagnosis_sim_extension_byte_4_help];
	REDEFINE HANDLING	READ & WRITE;
}

//INDEX 53 Diagnosis Simulation Extention Byte5
phys_diagnosis_sim_extension_byte_5		LIKE VARIABLE	phys_diagnosis_extension_byte_5
{
	REDEFINE LABEL		[diagnosis_sim_extension_byte_5];
	REDEFINE HELP		[diagnosis_sim_extension_byte_5_help];
	REDEFINE HANDLING	READ & WRITE;
}

//INDEX 53 Diagnosis Simulation Extention Byte6
phys_diagnosis_sim_extension_byte_6		LIKE VARIABLE	phys_diagnosis_extension_byte_6
{
	REDEFINE LABEL		[diagnosis_sim_extension_byte_6];
	REDEFINE HELP		[diagnosis_sim_extension_byte_6_help];
	REDEFINE HANDLING	READ & WRITE;
}


/*************************************************************************************/
/*****	COMMAND for AXF AI ***********************************************************/
/*************************************************************************************/
/* Slot1 Index61 Velocity Check */
COMMAND read_func1_AI_velocity_check
{
	BLOCK function_block_1;
	INDEX 45;
	OPERATION READ;
	TRANSACTION
	{
		REQUEST
		{
		}
		REPLY
		{
			func1_AI_velocity_check
		}
	}
}



/**************************************************************************************/
/*****	VALIABLE for AXF AI ***********************************************************/
/**************************************************************************************/
//INDEX 61
VARIABLE func1_AI_velocity_check
{
	LABEL		[velocity_check];
	HELP		[velocity_check_help];
	CLASS		CONTAINED & DYNAMIC;
	TYPE		FLOAT
	{
		MIN_VALUE		0.0;
		MAX_VALUE		99.999;
		EDIT_FORMAT		"8.6f";
		DISPLAY_FORMAT	".6f";
	}
	CONSTANT_UNIT	"m/s";
	HANDLING	READ;
}


/*************************************************************************************/
/*****	COMMAND for AXF TOT1 *********************************************************/
/*************************************************************************************/
COMMAND read_func2_TOT_simulate
{
	BLOCK function_block_2;
	INDEX 36;
	OPERATION READ;
	TRANSACTION
	{
		REQUEST
		{
		}
		REPLY
		{
			func2_TOT_simulate_status_quality	<0xFC>,
			func2_TOT_simulate_status_limit		<0x03>,
			func2_TOT_simulate_value, 
			func2_TOT_simulation_enabled
		}
	}
}

COMMAND write_func2_TOT_simulate
{
	BLOCK function_block_2;
	INDEX 36;
	OPERATION WRITE;
	TRANSACTION
	{
		REQUEST
		{
			func2_TOT_simulate_status_quality	<0xFC>,
			func2_TOT_simulate_status_limit		<0x03>,
			func2_TOT_simulate_value, 
			func2_TOT_simulation_enabled
		}
		REPLY
		{
		}
	}
}


/**************************************************************************************/
/*****	VALIABLE for AXF TOT1 *********************************************************/
/**************************************************************************************/
VARIABLE func2_TOT_simulate_value
{
	LABEL		[func_simulate_value];
	HELP		[func_ai_simulate_value_help];
	CLASS		CONTAINED & SERVICE;
	TYPE        FLOAT
	{
		DEFAULT_VALUE	0.0;
	}   
	HANDLING	READ & WRITE;
}

VARIABLE func2_TOT_simulate_status_quality
{
	LABEL		[status_quality];
	HELP		[func_simulate_status_help];
	CLASS		CONTAINED & SERVICE;
	TYPE		ENUMERATED (1)
	{
		DEFAULT_VALUE	0;
		STATUS_INPUT_NO_RCAS
	}
	POST_EDIT_ACTIONS
	{
		method_set_status_limit_1
	}
	HANDLING	READ & WRITE;
}

func2_TOT_simulate_status_limit					LIKE VARIABLE	func2_TOT_simulate_status_quality
{
	REDEFINE LABEL		[status_limit];		
	REDEFINE TYPE		ENUMERATED (1)
	{
		STATUS_INPUT_LIMIT (func1_AI_simulate_status_quality)
	}
}

VARIABLE func2_TOT_simulation_enabled
{
	LABEL		[func_simulation_enabled];
	HELP		[func_simulation_enabled_help];
	CLASS		CONTAINED;
	TYPE		ENUMERATED (1)
	{
		DEFAULT_VALUE	0;
		{	0,	[disabled]		},
		{	1,	[enabled]		}
	}
	HANDLING	READ & WRITE;
}



/*************************************************************************************/
/*****	COMMAND for AXF TOT2 *********************************************************/
/*************************************************************************************/
COMMAND read_func3_TOT_simulate
{
	BLOCK function_block_3;
	INDEX 36;
	OPERATION READ;
	TRANSACTION
	{
		REQUEST
		{
		}
		REPLY
		{
			func3_TOT_simulate_status_quality	<0xFC>,
			func3_TOT_simulate_status_limit		<0x03>,
			func3_TOT_simulate_value, 
			func3_TOT_simulation_enabled
		}
	}
}

COMMAND write_func3_TOT_simulate
{
	BLOCK function_block_3;
	INDEX 36;
	OPERATION WRITE;
	TRANSACTION
	{
		REQUEST
		{
			func3_TOT_simulate_status_quality	<0xFC>,
			func3_TOT_simulate_status_limit		<0x03>,
			func3_TOT_simulate_value, 
			func3_TOT_simulation_enabled
		}
		REPLY
		{
		}
	}
}



/**************************************************************************************/
/*****	VALIABLE for AXF TOT2 *********************************************************/
/**************************************************************************************/
VARIABLE func3_TOT_simulate_value
{
	LABEL		[func_simulate_value];
	HELP		[func_ai_simulate_value_help];
	CLASS		CONTAINED & SERVICE;
	TYPE        FLOAT
	{
		DEFAULT_VALUE	0.0;
	}   
	HANDLING	READ & WRITE;
}

VARIABLE func3_TOT_simulate_status_quality
{
	LABEL		[status_quality];
	HELP		[func_simulate_status_help];
	CLASS		CONTAINED & SERVICE;
	TYPE		ENUMERATED (1)
	{
		DEFAULT_VALUE	0;
		STATUS_INPUT_NO_RCAS
	}
	POST_EDIT_ACTIONS
	{
		method_set_status_limit_1
	}
	HANDLING	READ & WRITE;
}

func3_TOT_simulate_status_limit					LIKE VARIABLE	func3_TOT_simulate_status_quality
{
	REDEFINE LABEL		[status_limit];		
	REDEFINE TYPE		ENUMERATED (1)
	{
		STATUS_INPUT_LIMIT (func1_AI_simulate_status_quality)
	}
}

VARIABLE func3_TOT_simulation_enabled
{
	LABEL		[func_simulation_enabled];
	HELP		[func_simulation_enabled_help];
	CLASS		CONTAINED;
	TYPE		ENUMERATED (1)
	{
		DEFAULT_VALUE	0;
		{	0,	[disabled]		},
		{	1,	[enabled]		}
	}
	HANDLING	READ & WRITE;
}

/*************************************************************************************/
/*****	COMMAND for AXF TOT3 *********************************************************/
/*************************************************************************************/
COMMAND read_func4_TOT_simulate
{
	BLOCK function_block_4;
	INDEX 36;
	OPERATION READ;
	TRANSACTION
	{
		REQUEST
		{
		}
		REPLY
		{
			func4_TOT_simulate_status_quality	<0xFC>,
			func4_TOT_simulate_status_limit		<0x03>,
			func4_TOT_simulate_value, 
			func4_TOT_simulation_enabled
		}
	}
}

COMMAND write_func4_TOT_simulate
{
	BLOCK function_block_4;
	INDEX 36;
	OPERATION WRITE;
	TRANSACTION
	{
		REQUEST
		{
			func4_TOT_simulate_status_quality	<0xFC>,
			func4_TOT_simulate_status_limit		<0x03>,
			func4_TOT_simulate_value, 
			func4_TOT_simulation_enabled
		}
		REPLY
		{
		}
	}
}



/**************************************************************************************/
/*****	VALIABLE for AXF TOT3 *********************************************************/
/**************************************************************************************/
VARIABLE func4_TOT_simulate_value
{
	LABEL		[func_simulate_value];
	HELP		[func_ai_simulate_value_help];
	CLASS		CONTAINED & SERVICE;
	TYPE        FLOAT
	{
		DEFAULT_VALUE	0.0;
	}   
	HANDLING	READ & WRITE;
}

VARIABLE func4_TOT_simulate_status_quality
{
	LABEL		[status_quality];
	HELP		[func_simulate_status_help];
	CLASS		CONTAINED & SERVICE;
	TYPE		ENUMERATED (1)
	{
		DEFAULT_VALUE	0;
		STATUS_INPUT_NO_RCAS
	}
	POST_EDIT_ACTIONS
	{
		method_set_status_limit_1
	}
	HANDLING	READ & WRITE;
}

func4_TOT_simulate_status_limit					LIKE VARIABLE	func4_TOT_simulate_status_quality
{
	REDEFINE LABEL		[status_limit];		
	REDEFINE TYPE		ENUMERATED (1)
	{
		STATUS_INPUT_LIMIT (func1_AI_simulate_status_quality)
	}
}

VARIABLE func4_TOT_simulation_enabled
{
	LABEL		[func_simulation_enabled];
	HELP		[func_simulation_enabled_help];
	CLASS		CONTAINED;
	TYPE		ENUMERATED (1)
	{
		DEFAULT_VALUE	0;
		{	0,	[disabled]		},
		{	1,	[enabled]		}
	}
	HANDLING	READ & WRITE;
}